'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.afterCommand = exports.beforeCommand = undefined;

var _common = require('../common');

var _core = require('../common/core');

var _constant = require('../common/constant');

var _compareVersion = require('../common/compare-version');

var _compareVersion2 = _interopRequireDefault(_compareVersion);

var _package = require('../../package');

var packageConf = _interopRequireWildcard(_package);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var beforeCommand = exports.beforeCommand = function beforeCommand() {
  if (!(0, _core.hasInited)()) {
    (0, _common.executeInit)();
  }
};

var afterCommand = exports.afterCommand = function afterCommand() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var _options$compareVersi = options.compareVersion,
      compareVersion = _options$compareVersi === undefined ? true : _options$compareVersi;

  // 版本提示

  compareVersion && (0, _compareVersion2.default)(packageConf.version);
  console.log(_constant.EOL);
};