'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _core = require('../common/core');

var _crossSpawn = require('cross-spawn');

var _crossSpawn2 = _interopRequireDefault(_crossSpawn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (dir) {
  dir = dir || '';

  var _getWorkDirs = (0, _core.getWorkDirs)(),
      WESHOP_WORK_DIR = _getWorkDirs.WESHOP_WORK_DIR;

  var dest = _path2.default.join(WESHOP_WORK_DIR, dir);

  if (!_fs2.default.existsSync(dest)) {
    console.log('\u76EE\u5F55'.red, dest.blue, '\u4E0D\u5B58\u5728'.red);
    process.exit();
  }

  _crossSpawn2.default.sync('' + ((0, _core.isMac)() ? 'open' : 'start'), [dest]);
};