'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _release = require('../common/release');

var _release2 = _interopRequireDefault(_release);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (subcommand) {
  if (!['start', 'finish'].includes(subcommand)) {
    console.error('release 只支持 start 和 finish 命令。尝试执行：weshop release start'.red);
    process.exit(0);
  }

  (0, _release2.default)(subcommand);
};