'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _core = require('../common/core');

var _update = require('../common/update');

var _common = require('../common');

var _lifecycle = require('./lifecycle');

var _doctor = require('./doctor');

var _doctor2 = _interopRequireDefault(_doctor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  if ((0, _core.hasInited)()) {
    try {
      (0, _update.updateDependencies)();
    } catch (e) {
      console.log('\u516C\u5171\u7EC4\u4EF6\u66F4\u65B0\u5931\u8D25'.red);
      console.log(e.message && e.message.red || e);
      process.exit(2);
    }
  } else {
    (0, _common.executeInit)();
  }
  (0, _doctor2.default)({ fix: true });
  // 复制到DIST目录
  // copyDependencies();
  (0, _lifecycle.afterCommand)();
};