'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _compareVersions = require('compare-versions');

var _compareVersions2 = _interopRequireDefault(_compareVersions);

var _constant = require('./constant');

var _crossSpawn = require('cross-spawn');

var _crossSpawn2 = _interopRequireDefault(_crossSpawn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (local) {
  var latest = (0, _crossSpawn2.default)('npm', ['view', _constant.APP_NAME, 'version']);

  latest.stdout.on('data', function (data) {
    data = data.toString();
    var result = (0, _compareVersions2.default)(data.trim(), local.trim());
    if (result > 0) {
      console.log(('\n        ' + '您的weshop版本过旧，请更新到最新版本：'.blue + ' ' + data.magenta + '\n        -------------------------------------------------\n        | npm install weshop -g                         |\n        -------------------------------------------------\n      ').blue);
    }
  });
};