'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cpd = cpd;

var _fsReaddirRecursive = require('fs-readdir-recursive');

var _fsReaddirRecursive2 = _interopRequireDefault(_fsReaddirRecursive);

var _crossSpawn = require('cross-spawn');

var _crossSpawn2 = _interopRequireDefault(_crossSpawn);

var _jscpd = require('jscpd');

var _jscpd2 = _interopRequireDefault(_jscpd);

var _core = require('./core');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function cpd(_ref) {
  var src = _ref.src;

  (0, _core.logStepCaption)('Copy/Paste Detector\uFF0C\u68C0\u6D4B\u91CD\u590D\u4EE3\u7801');

  src = src || process.cwd();
  _jscpd2.default.prototype.run({
    path: src,
    files: '**/*',
    exclude: ['components/dgd-sdk/**', 'components/dgd-weui/**', 'components/dgdui/**', 'pages/dgd-weui/**', 'main-app.js', 'sub-app.js', 'dist/**', 'test/**'],
    reporter: 'json',
    //output: 'jscpd-report.json',
    languages: ['javascript', 'xml', 'jsx', 'css', 'htmlmixe', 'typescript'],
    verbose: true
  });
}

exports.default = function (_ref2) {
  var src = _ref2.src;

  src = src || process.cwd();
  return cpd({ src: src });
};